diff -Nur myspam-0.0.4a/changelog.txt myspam-0.0.5/changelog.txt
--- myspam-0.0.4a/changelog.txt	2007-06-11 14:40:40.842885990 +0800
+++ myspam-0.0.5/changelog.txt	2008-08-06 13:38:05.110862269 +0800
@@ -1,5 +1,10 @@
 ﻿MySPAM changelog (UTF-8 encoding)
 
+v0.0.5 - 2008/8/6
+    + 新增對同一主機多網域帳號的支援. 登入時請使用 user@domain 的方式登入即可.
+    ! 檢查信件第一行是否為 'From xxx@xxx.xxx.xx' 這個非 header 的內容 (某些 postfix 有這行?), 如有就略過.
+    ! 如果沒有 SIZE 環境變數, 就自行計算信件大小.
+
 v0.0.4a - 2007/6/11
     ! 修正在 register_globals 為 on 的時候 (不建議使用), 無法正常使用的問題.
       在程式一開始, 會先 unset $username, $password 兩個變數, 以避免在 register_globals 為 on 時, 誤用這兩個值.
diff -Nur myspam-0.0.4a/web/config.php myspam-0.0.5/web/config.php
--- myspam-0.0.4a/web/config.php	2007-06-11 14:40:56.171391124 +0800
+++ myspam-0.0.5/web/config.php	2008-08-06 13:39:44.277813718 +0800
@@ -1,6 +1,6 @@
 <?php
 
-define('MYSPAM_VER', 'v0.0.4a');
+define('MYSPAM_VER', 'v0.0.5');
 define('EX_TEMPFAIL', 75);
 define('IN_MYSPAM', '1');
 define('DB_ENCODING', 'utf8');
diff -Nur myspam-0.0.4a/web/notify.php myspam-0.0.5/web/notify.php
--- myspam-0.0.4a/web/notify.php	2006-05-11 11:58:18.000000000 +0800
+++ myspam-0.0.5/web/notify.php	2008-08-06 13:29:56.535987918 +0800
@@ -82,7 +82,10 @@
                     'data' => $aData
                     ));
             $message = $smarty->fetch('notify.tpl');
-            $to = "$user@$mydomain";
+            if (strstr($user, '@'))
+                $to = $user;
+            else
+                $to = "$user@$mydomain";
             $subject = "=?".ENCODING."?B?".base64_encode(sprintf($lang['NOTIFY_SUBJECT'], $user))."?=";
             $header = "From: $to\r\n".
                       "X-MySPAM: YES\r\n".
diff -Nur myspam-0.0.4a/web/save.php myspam-0.0.5/web/save.php
--- myspam-0.0.4a/web/save.php	2007-06-11 09:44:11.644688373 +0800
+++ myspam-0.0.5/web/save.php	2008-08-06 15:40:45.432933531 +0800
@@ -73,8 +73,15 @@
     $last_header = '';
     $aHeader = array();
     $cnt = 0;
+    $size_cnt = 0;
+    $first = true;
     while (feof($fp) == 0) {
         $buf = fgets($fp, 4096);
+        if ($size == 0) $size_cnt += strlen($buf);
+        if ($first) {
+            $first = false;
+            if (strncasecmp('From ', $buf, 5) == 0) continue;
+        }
         if ($body) {
             $content .= $buf;
             continue;
@@ -117,6 +124,7 @@
         }
     }
     fclose($fp);
+    if ($size == 0) $size = $size_cnt;
 
     if ($debug) writelog("txt_encoding is $txt_encoding");
     if (strcasecmp($txt_encoding, 'iso-8859-1') == 0) {
diff -Nur myspam-0.0.4a/web/sendmail.php myspam-0.0.5/web/sendmail.php
--- myspam-0.0.4a/web/sendmail.php	2006-05-11 11:58:28.000000000 +0800
+++ myspam-0.0.5/web/sendmail.php	2008-08-06 13:30:25.155690816 +0800
@@ -39,7 +39,11 @@
         // multi-line response
     }
 
-    fputs($smtp, "MAIL FROM:<$username@$mydomain>\n");
+    if (strstr($username, '@'))
+        $myemail = $username;
+    else
+        $myemail = $username.'@'.$mydomain;
+    fputs($smtp, "MAIL FROM:<$myemail>\n");
     // server response
     while (1) {
         $msg = fgets($smtp, 256);
@@ -51,7 +55,7 @@
         // multi-line response
     }
 
-    fputs($smtp, "RCPT TO:<$username@$mydomain>\n");
+    fputs($smtp, "RCPT TO:<$myemail>\n");
     // server response
     while (1) {
         $msg = fgets($smtp, 256);
